from django.urls import path

from . import views
from .views import api_lista_entrenadores, api_detalle_entrenador, api_lista_deportistas, api_detalle_deportista, api_lista_macrociclos, api_detalle_macrociclo

app_name = 'macrociclos'

urlpatterns = [
    path('', views.principal, name='principal'),

    path('entrenadores/', views.lista_entrenadores, name='lista_entrenadores'),
    path('entrenadores/nuevo/', views.nuevo_entrenador, name='nuevo_entrenador'),
    path('entrenadores/<int:entrenador_id>/', views.detalle_entrenador, name='detalle_entrenador'),
    path('entrenadores/<int:entrenador_id>/editar/', views.editar_entrenador, name='editar_entrenador'),
    path('entrenadores/<int:entrenador_id>/eliminar/', views.eliminar_entrenador, name='eliminar_entrenador'),

    path('deportistas/', views.lista_deportistas, name='lista_deportistas'),
    path('deportistas/nuevo/', views.nuevo_deportista, name='nuevo_deportista'),
    path('deportistas/<int:deportista_id>/', views.detalle_deportista, name='detalle_deportista'),
    path('deportistas/<int:deportista_id>/editar/', views.editar_deportista, name='editar_deportista'),
    path('deportistas/<int:deportista_id>/eliminar/', views.eliminar_deportista, name='eliminar_deportista'),

    path('macrociclos/', views.lista_macrociclos, name='lista_macrociclos'),
    path('macrociclos/nuevo/', views.nuevo_macrociclo, name='nuevo_macrociclo'),
    path('macrociclos/<int:macrociclo_id>/', views.detalle_macrociclo, name='detalle_macrociclo'),
    path('macrociclos/<int:macrociclo_id>/editar/', views.editar_macrociclo, name='editar_macrociclo'),
    path('macrociclos/<int:macrociclo_id>/eliminar/', views.eliminar_macrociclo, name='eliminar_macrociclo'),

    path('api/entreadores/', api_lista_entrenadores, name='api_lista_entrenadores'),
    path('api/entreadores/<int:entrenador_id>/', api_detalle_entrenador, name='api_detalle_entrenador'),

    path('api/deportistas/', api_lista_deportistas, name='api_lista_deportistas'),
    path('api/deportistas/<int:deportista_id>/', api_detalle_deportista, name='api_detalle_deportista'),

    path('api/macrociclos/', api_lista_macrociclos, name='api_lista_macrociclos'),
    path('api/macrociclos/<int:macrociclo_id>/', api_detalle_macrociclo, name='api_detalle_macrociclo'),
]
